Index Page getcml_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void getcml_c ( SpiceInt     * argc,
                       SpiceChar  *** argv )
#### Abstract
       Store the contents of argv and argc for later access..
#### Required_Reading
       None.
#### Keywords
       UTILITY
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       argc       O   The number of command line arguments.
       argv       O   The vector of command line arguments.
#### Detailed_Input
       None.
#### Detailed_Output
       argc      is the number of command line arguments.

       argv      is the vector of space delimited command line arguments.
                 Each entry entry contains one argument.  argv[0] is the
                 command name.
#### Parameters
       None.
#### Exceptions
       This routines participates in error tracing but detects no errors.
       Error detection is done in zzgetcml_c.c.
#### Files
       None.
#### Particulars
       This routine is a wrapper function for zzgetcml_c.c.  getcml_c
       allows a user to access the argv and argc values from any program
       module.
#### Examples
       #include <stdio.h>
       #include <stdlib.h>

       #include "SpiceUsr.h"

       void main( int argc, char *argv[] )
       {

          /. Store argv and argc for latter access. ./

          putcml_c (argc, argv );

          ..... other stuff .....
          .....             .....

       }

       void goop ()
       {
          ..... new module .....

          SpiceInt      argc;
          SpiceChar  ** argv;

          .....
          .....

          /. Now get the stored information. ./

          getcml_c ( &argc, &argv );

       }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       E.D. Wright    (JPL)
#### Version
       -CSPICE Version 1.0.1, 08-FEB-1998   (EDW)

          Routine rewritten to use private routine zzgetcml_c.c.

       -CSPICE Version 1.0.1, 14-JAN-1997   (EDW)

          Replaced a defined variable type for argv with a *** declaration.

       -CSPICE Version 1.0.0,  6-JAN-1997   (EDW)
#### Index_Entries
       store/retrieve argc argv
#### Link to routine getcml_c source file getcml_c.c

    Wed Jun  9 13:05:23 2010